Subject: Re: Q: bad routing table cache entries

From: Stas Sergeev <[email-masked]>
Date: Tue, 29 Dec 2015 16:19:21 +0300

29.12.2015 13:54, Stas Sergeev пишет:
> Hello.
> 
> I was hitting a strange problem when some internet hosts
> suddenly stops responding until I reboot. ping to these
> host gives "Destination Host Unreachable". After the
> initial confusion, I've finally got to
> ip route get
> and got something quite strange.
Another observation:

# ip route get 91.189.90.236
91.189.90.236 via 192.168.0.1 dev eth0  src 192.168.10.202
    cache <redirected>

# cat /proc/net/rt_cache
Iface	Destination	Gateway 	Flags		RefCnt	Use	Metric	Source		MTU	Window	IRTT	TOS	HHRef	HHUptod	SpecDst

So the redirection exists, but rt_cache doesn't show anything.
Am I looking in the wrong place? Where can I get a list of all
the redirections I have?